if "$EUROMOD_PATH" == "" {
	global EUROMOD_PATH = "C:/Program Files/EUROMOD/Executable"
}
adopath + "$EUROMOD_PATH"
local wd = c(pwd)
cd "$EUROMOD_PATH"
capture program EM_StataPlugin, plugin using ("$EUROMOD_PATH/StataPlugin.plugin")
capture program drop euromod_getinfo
program define euromod_getinfo, rclass
	syntax , model(string) [country(string) system(string) parId(string) all]
	if "`system'" != "" & "`country'" == "" {
			di in r "Need country argument in order to identify system."
			error -1
	}
	if "`parId'" != "" & "`system'" == "" {
		di in r "Need system argument in order to identify parameter."
		error -1
	}
	//Using option all, all possible information is returned, otherwise the most specific information is returned
	if "`all'" == "all" {
		plugin call EM_StataPlugin, "xmlInfo" "`model'"
		if  "`country'" != "" {
			//getting country specific information
			plugin call EM_StataPlugin, "setIterators" "`model'" "`country'"
			plugin call EM_StataPlugin, "xmlInfoCountry" "`model'" "`country'"
		}
		
		//get system specific information if specified
		if  "`system'" != "" {
			//getting system specific information
			plugin call EM_StataPlugin, "xmlInfoSystem" "`model'" "`country'" "`system'"
			
		}
		
		if parId != "" { 
			plugin call EM_StataPlugin, "xmlInfoSystem" "`model'" "`country'" "`system'" "`parId'"
		}
	}
	else {
		if "`parId'" != "" { 
			plugin call EM_StataPlugin, "xmlInfoPar" "`model'" "`country'" "`system'" "`parId'"
		}
		else if "`system'" != "" {
			plugin call EM_StataPlugin, "xmlInfoSystem" "`model'" "`country'" "`system'"
		} 
		else if "`country'" !=  "" {
			plugin call EM_StataPlugin, "setIterators" "`model'" "`country'"
			plugin call EM_StataPlugin, "xmlInfoCountry" "`model'" "`country'"
		} 
		else {
			plugin call EM_StataPlugin, "xmlInfo" "`model'"
		}
		
	}
	
	
	// Setting return List Macros
	plugin call EM_StataPlugin, "setReturnList"
	foreach local_connector in `return_list_locals_connector' {
		return local `local_connector' "`rlm`local_connector''"
	}
	qui cd "`wd'"
end